<template>
    <div class="container" v-if="current === 'admin' || 'gate'">
      <div class="row mt-2">
        <div class="col-12">
          <div class="card" >
            <div class="card-header">
              <h3 class="card-title text-center">Absensi</h3>
            </div>
            <div class="card-body text-center">
              <p>{{nama_event}}</p>
              <p>{{nama_peserta}}</p>
              <p>{{id_pengenal}}</p>
              <p>No Tiket : {{id_event_peserta}}</p>
              <p v-if="status_kehadiran === 'HADIR'">Waktu Absen : {{updated_at}}</p>
              <p>{{status_kehadiran}}</p>
            </div>
            <div class="card-footer text-center" v-if="status_kehadiran === 'TIDAK HADIR'">
              <button class="btn-sm btn-success" @click="absenHadir(id_event_peserta)"><b>Hadir</b></button>
            </div>


          </div>
          <!-- /.card -->
        </div>
      </div>

    </div>
    <div class="container" v-else>
      <div class="card-body">
        <div class="row">
          <div class="col">

          </div>
          <div class="col-md-5">
            <img src='/img/careerday.png' class="img-fluid" alt="Responsive image">
          </div>
          <div class="col">

          </div>
        </div>
        <div class="row mt-2">
          <div class="col">

          </div>
          <div class="col-md-5">
            <router-link :to="`/listEvent`">
            <button type="button" class="btn btn-block btn-success btn-lg">Register</button>
            </router-link>
          </div>
          <div class="col">

          </div>
        </div>
      </div>
    </diV>
</template>



<script>
import Form from 'vform'
    export default {
        data() {
          return {
              v_event_peserta : {},
              current : this.current,
              nama_event : this.nama_event,
              nama_peserta : this.nama_peserta,
              id_pengenal : this.id_pengenal,
              id_event_peserta : this.id_event_peserta,
              updated_at : this.updated_at,
              status_kehadiran : this.status_kehadiran,
          }
        },
        methods: {
            absenHadir(id){
              //  console.log('Editing data');
              axios.put('http://localhost:8000/api/absenPeserta/'+id)
              .then(() => {
                swal(
                  'Absensi Berhasil'
                )
                this.loadEvents();
              })
              .catch(() => {

              });
              /*axios.put('http://localhost:8000/api/absenPeserta/'+id)
              .then(() => {
                swal(
                  'Absensi Berhasil'
                )
                this.loadEvents();
              })
              .catch(() => {

              });*/


            },

            loadEvents(){
                axios.get('http://localhost:8000/api/absensi/'+this.$route.params.id)
                  .then((response) => {
                    this.nama_event = response.data.nama_event;
                    this.nama_peserta = response.data.nama_peserta;
                    this.id_pengenal = response.data.id_pengenal;
                    this.id_event_peserta = response.data.id_event_peserta;
                    this.updated_at = response.data.updated_at;
                    this.status_kehadiran = response.data.status_kehadiran;
                  });
                  axios.get('http://localhost:8000/api/current')
                    .then((response) => {
                      this.current = response.data.type;
                    });
                  /*axios.get('http://localhost:8000/api/absensi/'+this.$route.params.id)
                    .then((response) => {
                      this.nama_event = response.data.nama_event;
                      this.nama_peserta = response.data.nama_peserta;
                      this.id_pengenal = response.data.id_pengenal;
                      this.id_event_peserta = response.data.id_event_peserta;
                      this.updated_at = response.data.updated_at;
                      this.status_kehadiran = response.data.status_kehadiran;
                    });*/
            },
        },
        created() {
            this.loadEvents();
        }
    }
</script>
